Change the blue link color to be consistent with the blue color everywhere else
Closed, ResolvedPublic

Description

Change the link color to #347BFF as per http://tools.wmflabs.org/styleguide/desktop/section-2.html

This will be for the links around the globe and the all the links below the search box (near the article counts) to all be the same color.

MSyed updated the task description. (Show Details)
MSyed raised the priority of this task from to Needs Triage.
MSyed assigned this task to JGirault.
MSyed added a subscriber: MSyed.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 29 2016, 7:07 PM
debt set Security to None.
debt reassigned this task from JGirault to Jdrewniak.
debt added a subscriber: Jdrewniak.
debt added a subscriber: JGirault.
debt updated the task description. (Show Details)Jan 29 2016, 7:13 PM
debt moved this task from Design Work to In Progress on the Discovery-Portal-Sprint board.
debt triaged this task as Normal priority.Jan 30 2016, 12:23 AM

Just to give an overview of how this will be implemented:

Basically, we'll be adding the CSSnext library to our build process.

CSSnext will allow us to use new CSS features (such as css-custom-properties)
and it will then compile these features into regular CSS that is compatible with older browsers.

This color will be defined once in a css-custom-property (let's just call it variable) and used across the CSS as needed.

The advantage of this approach over using a CSS pre-processor like SASS or LESS is that CSSnext implements
features that are based on current and future web-standards, so eventually, all the features we'll use today will
be considered standard CSS.

debt added a subscriber: debt.Feb 1 2016, 9:30 PM

thanks for the update, @Jdrewniak!

Change 267884 had a related patch set uploaded (by Jdrewniak):

  • Adding postCSS preprocessor - changing the link color - changing bookshelf color

https://gerrit.wikimedia.org/r/267884

debt added a comment.Feb 2 2016, 10:34 PM

few tries to get the colors the way we want, thanks @Jdrewniak for sharing!

We've decided to use the new blue from the UI standardization effort: #165c91
https://phabricator.wikimedia.org/diffusion/WMUI/
as #347BFF seemed a bit too bright for text links.

debt added a comment.Feb 3 2016, 11:40 PM

Thanks, @Jdrewniak, is it ready to be merged into Master?

@debt This patch required some more changes today, so it's still in review, but I think all the issues have been worked out.

debt added a comment.Feb 4 2016, 4:01 PM

Cool! Can you give us a screen shot to view while the code is being reviewed?

Change 267884 merged by jenkins-bot:
Adding postCSS & changing blue. - Adds the postCSS CSSNext plugin. - Moves the CSSnext files into a dev subfolder. - changes the link color to ##165c91 to align with the UI Standardization effort: https://phabricator.wikimedia.org/diffusion/WMUI/ - chan

https://gerrit.wikimedia.org/r/267884

debt closed this task as Resolved.Feb 5 2016, 9:19 PM
debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Feb 10 2016, 1:13 AM